Loading...
Searching...
No Matches
BALL::QuaternionParameter Class Reference

`#include <BALL/DOCKING/GENETICDOCK/parameter.h>`

Inheritance diagram for BALL::QuaternionParameter:

## Public Member Functions

| QuaternionParameter ()
| QuaternionParameter (const QuaternionParameter &)
virtual | ~QuaternionParameter ()
const QuaternionParameter & | operator= (const QuaternionParameter &)
Public Member Functions inherited from BALL::GenericParameter
| GenericParameter ()
| GenericParameter (const GenericParameter &)
virtual | ~GenericParameter ()
const GenericParameter & | operator= (const GenericParameter &)
virtual String | getName ()

## Public Attributes

Quaternion | quat

## Additional Inherited Members

Protected Attributes inherited from BALL::GenericParameter
String | name_

## Detailed Description

Definition at line 73 of file parameter.h.

## Constructor & Destructor Documentation

## QuaternionParameter() [1/2]

BALL::QuaternionParameter::QuaternionParameter | ( |  | ) |

standard constructor

## QuaternionParameter() [2/2]

BALL::QuaternionParameter::QuaternionParameter | ( | const QuaternionParameter & |  | ) |

copy constructor

## ~QuaternionParameter()

virtual BALL::QuaternionParameter::~QuaternionParameter | ( |  | ) |

virtual

destructor

## Member Function Documentation

## operator=()

const QuaternionParameter & BALL::QuaternionParameter::operator= | ( | const QuaternionParameter & |  | ) |

assignment operator

## Member Data Documentation

## quat

Quaternion BALL::QuaternionParameter::quat

parameter value

Definition at line 95 of file parameter.h.